Package: org.codehaus.groovy.ast.stmt

## [Java] Class ReturnStatement

- org.codehaus.groovy.ast.stmt.ReturnStatement

-     public class ReturnStatement
      extends Statement

  A return statement

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static ReturnStatement` | `RETURN_NULL_OR_VOID` | Only used for synthetic return statements emitted by the compiler.

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface Statement` | `CLOSE_CURRENT_RESULT, KEEP_CURRENT_RESULT, CLOSE_ALL_RESULTS, SUCCESS_NO_INFO, EXECUTE_FAILED, RETURN_GENERATED_KEYS, NO_GENERATED_KEYS`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ReturnStatement(ExpressionStatement statement)`
    `ReturnStatement(Expression expression)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Expression` | `getExpression()`
    `` | `public String` | `getText()`
    `` | `public boolean` | `isReturningNullOrVoid()`
    `` | `public void` | `setExpression(Expression expression)`
    `` | `public String` | `toString()`
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Statement` | `execute, execute, execute, execute, close, cancel, isClosed, setFetchDirection, getFetchDirection, setEscapeProcessing, getResultSetHoldability, getResultSetConcurrency, getLargeUpdateCount, enquoteNCharLiteral, isCloseOnCompletion, getFetchSize, getWarnings, clearWarnings, getResultSet, getQueryTimeout, getMoreResults, getMoreResults, getUpdateCount, setMaxRows, addBatch, setPoolable, setLargeMaxRows, clearBatch, getLargeMaxRows, executeLargeBatch, closeOnCompletion, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, setMaxFieldSize, getMaxRows, setQueryTimeout, getGeneratedKeys, executeQuery, setCursorName, getMaxFieldSize, executeUpdate, executeUpdate, executeUpdate, executeUpdate, executeBatch, isPoolable, getResultSetType, enquoteLiteral, isSimpleIdentifier, enquoteIdentifier, setFetchSize, getConnection, unwrap, isWrapperFor`

- - ### Field Detail

    - #### public static final ReturnStatement RETURN_NULL_OR_VOID

      Only used for synthetic return statements emitted by the compiler. For comparisons use isReturningNullOrVoid() instead.

  - ### Constructor Detail

    - #### public ReturnStatement(ExpressionStatement statement)

    - #### public ReturnStatement(Expression expression)

  - ### Method Detail

    - #### public Expression getExpression()

    - #### @Override
      public String getText()

    - #### public boolean isReturningNullOrVoid()

    - #### public void setExpression(Expression expression)

    - #### @Override
      public String toString()

    - #### @Override
      public void visit(GroovyCodeVisitor visitor)